version: "2.4"

services:
  mattermost:
    container_name: mattermost
    image: mattermost/mattermost-team-edition
    depends_on:
      - mattermost_db
    restart: always
    volumes:
      - '$DATA/mattermost/mattermost/config/:/mattermost/config/:rw'
      - '$DATA/mattermost/mattermost/data/:/mattermost/data/:rw'
      - '$DATA/mattermost/mattermost/logs/:/mattermost/logs/:rw'
      - '$DATA/mattermost/mattermost/plugins/:/mattermost/plugins/:rw'
      - '$DATA/mattermost/mattermost/client/plugins/:/mattermost/client/plugins/:rw'
    environment:
      MM_SQLSETTINGS_DRIVERNAME: 'postgres'
      MM_SQLSETTINGS_DATASOURCE: 'postgres://$MATTERMOST_DB_USER:$MATTERMOST_DB_PASS@mattermost_db:5432/$MATTERMOST_DB_DB?sslmode=disable&connect_timeout=10'
      MM_SERVICESETTINGS_SITEURL: 'https://mm.fa'
    labels:
      - 'traefik.enable=true'
      - 'traefik.http.routers.mattermost_router_https.rule=Host(`mm.fa`)'
      - 'traefik.http.routers.mattermost_router_https.entrypoints=port_443'
      - 'traefik.http.routers.mattermost_router_https.middlewares=dav@file'
    networks:
      base-net:
      mattermost-net:

  mattermost_db:
    container_name: mattermost_db
    image: postgres:13.4-alpine3.14
    restart: always
    volumes:
      - '$DATA/mattermost/db:/var/lib/postgresql/data'
    environment:
      POSTGRES_USER: '$MATTERMOST_DB_USER'
      POSTGRES_PASSWORD: '$MATTERMOST_DB_PASS'
      POSTGRES_DB: '$MATTERMOST_DB_DB'
    networks:
      mattermost-net:
